<?php

namespace Modules\Api\Http\Controllers;

use App\Http\Controllers\BaseController;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ApiController extends BaseController
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $user = \App\Models\User::find(auth()->id());

        if (!$user) {
            return $this->errorResponse('User not found', 404);
        }

        return $this->successResponse($user, 'User fetched successfully');
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        return $this->successResponse("Success Call Create");
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request) { return $this->successResponse("Success Call Store"); }

    /**
     * Show the specified resource.
     */
    public function show($id)
    {
        return $this->successResponse("Success Call Show");
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit($id)
    {
        return $this->successResponse("Success Call Edit");
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, $id) {}

    /**
     * Remove the specified resource from storage.
     */
    public function destroy($id) {}
}
