<?php

namespace App\Exceptions\Renderers;

use Illuminate\Http\Request;
use Spatie\Permission\Exceptions\UnauthorizedException;
use Symfony\Component\HttpFoundation\Response;

class PermissionExceptionRenderer
{
    public function __invoke(UnauthorizedException $e, Request $request): Response
    {
        return response()->json([
            'message' => 'Bạn không có quyền truy cập.',
            'required' => $e->getRequiredRoles() ?? $e->getRequiredPermissions(),
        ], 403);
    }
}
