<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class QuestionChoice extends Model
{
    use SoftDeletes;

    protected $table = 'se_question_choices';

    protected $fillable = [
        'question_id',
        'label',
        'content',
        'is_correct',
        'media',
        'media_object_id',
        'position',
    ];

    public function question()
    {
        return $this->belongsTo(Question::class, 'question_id');
    }
}
