<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ $title ?? 'Laravel' }}</title>

    {{-- Favicons --}}
    <link rel="apple-touch-icon" sizes="76x76" href="{{ asset('soft-ui/assets/img/apple-icon.png') }}">
    {{-- <link rel="icon" type="image/png" href="{{ asset('soft-ui/assets/img/favicon.png') }}"> --}}
    <link rel="icon" type="image/png" href="{{ asset('images/logo.png') }}">
    {{-- Fonts + Icons --}}
    <link href="https://fonts.googleapis.com/css?family=Inter:300,400,500,600,700,800" rel="stylesheet">
    <link href="{{ asset('soft-ui/assets/css/nucleo-icons.css') }}" rel="stylesheet">
    <link href="{{ asset('soft-ui/assets/css/nucleo-svg.css') }}" rel="stylesheet">
    {{-- <script src="https://kit.fontawesome.com/42d5adcbca.js" crossorigin="anonymous"></script> --}}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.0/css/all.min.css" rel="stylesheet">

    {{-- CSS --}}
    <link id="pagestyle" href="{{ asset('soft-ui/assets/css/soft-ui-dashboard.css?v=1.1.0') }}" rel="stylesheet">
    <link href="{{ asset('css/skeleton.css') }}" rel="stylesheet">
    <link href="{{ asset('css/common.css') }}" rel="stylesheet">

    {{-- Livewire Styles --}}
    @livewireStyles

    {{-- Page-specific CSS --}}
    @stack('styles')
</head>

<body class="g-sidenav-show bg-gray-100">
    {{-- Sidebar --}}
    @include('layouts.partials.sidebar')

    <main class="main-content position-relative max-height-vh-100 h-100 border-radius-lg">
        {{-- Navbar --}}
        @include('layouts.partials.navbar')

        <div class="container-fluid py-4">
            {{-- Content --}}
            @hasSection('content')
                {{-- if view child use @section('content') --}}
                @yield('content')
            @else
                {{-- if live render Livewire component --}}
                {{ $slot }}
            @endif

            {{-- Footer --}}
            {{-- @include('layouts.partials.footer') --}}
        </div>
    </main>

    {{-- JS core --}}
    <script src="{{ asset('soft-ui/assets/js/core/popper.min.js') }}"></script>
    <script src="{{ asset('soft-ui/assets/js/core/bootstrap.min.js') }}"></script>
    <script src="{{ asset('soft-ui/assets/js/plugins/perfect-scrollbar.min.js') }}"></script>
    <script src="{{ asset('soft-ui/assets/js/plugins/smooth-scrollbar.min.js') }}"></script>
    <script src="{{ asset('soft-ui/assets/js/plugins/chartjs.min.js') }}"></script>
    <script src="{{ asset('soft-ui/assets/js/soft-ui-dashboard.min.js?v=1.1.0') }}"></script>

    {{-- Nepcha Analytics --}}
    <script defer data-site="YOUR_DOMAIN_HERE" src="https://api.nepcha.com/js/nepcha-analytics.js"></script>

    {{-- Livewire Scripts --}}
    @livewireScripts
    <script>
        window.addEventListener('set-title', event => {
            document.title = event.detail.title;
        });
    </script>
    {{-- Page-specific JS --}}
    @stack('scripts')
</body>

</html>
