<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\PermissionController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\ProfileController;

Route::get('dashboard', [DashboardController::class, 'index'])
    ->name('dashboard')
    ->middleware('auth');

Route::middleware('auth')->group(function () {
    // Permissions
    Route::get('/permissions', [PermissionController::class, 'manager'])->name('permissions.index');

    // Roles
    Route::get('/roles', [RoleController::class, 'manager'])->name('roles.index');

    //User
    Route::get('/users', [UserController::class, 'manager'])->name('users.index');

    //Profile
    Route::get('/profile', [ProfileController::class, 'manager'])->name('profile.index');
});
